diff --git a/web/pgadmin/misc/file_manager/__init__.py b/web/pgadmin/misc/file_manager/__init__.py
index e34a69a68..81ad92a96 100644
--- a/web/pgadmin/misc/file_manager/__init__.py
+++ b/web/pgadmin/misc/file_manager/__init__.py
@@ -1089,8 +1089,11 @@ class Filemanager(object):
                     is_startswith_bom = True
                     enc = encoding
 
-            # Check if string is binary
-            is_binary = is_binary_string(file_data)
+            # No need to check for binary file, a BOM marker already
+            # indicates that text stream afterwards
+            if not is_startswith_bom:
+                # Check if string is binary
+                is_binary = is_binary_string(file_data)
 
         except IOError as ex:
             status = False
